Change in osmo-gsm-tester[master]: contrib: common: create_bin_tgz supports sbin dir now

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Pau Espin Pedrol gerrit-no-reply at lists.osmocom.org
Thu May 17 16:19:44 UTC 2018


Pau Espin Pedrol has uploaded this change for review. ( https://gerrit.osmocom.org/9223


Change subject: contrib: common: create_bin_tgz supports sbin dir now
......................................................................

contrib: common: create_bin_tgz supports sbin dir now

Change-Id: I562721af82e481e926ee65dbcd9dcc5b55057ae8
---
M contrib/jenkins-build-common.sh
M contrib/jenkins-build-osmo-bsc.sh
M contrib/jenkins-build-osmo-bts.sh
M contrib/jenkins-build-osmo-mgw.sh
4 files changed, 31 insertions(+), 21 deletions(-)



  git pull ssh://gerrit.osmocom.org:29418/osmo-gsm-tester refs/changes/23/9223/1

diff --git a/contrib/jenkins-build-common.sh b/contrib/jenkins-build-common.sh
index 9d85622..79509bc 100644
--- a/contrib/jenkins-build-common.sh
+++ b/contrib/jenkins-build-common.sh
@@ -139,32 +139,42 @@
   make install
 }
 
+prune_files() {
+        bindir="$1"
+        wanted_binaries="$2"
+
+        if [ ! -d "$prefix_real"/$bindir ]; then return; fi
+        # remove binaries not intended to originate from this build
+        cd "$prefix_real"/$bindir
+        for f in * ; do
+          if [ -z "$(echo "_ $wanted_binaries _" | grep " $f ")" ]; then
+            rm "$f"
+          fi
+        done
+
+        # ensure requested binaries indeed exist
+        for b in $wanted_binaries ; do
+          if [ ! -f "$b" ]; then
+            set +x; echo "ERROR: no such binary: $b in $prefix_real/$bindir/"; set -x
+            ls -1 "$prefix_real/$bindir"
+            exit 1
+          fi
+        done
+}
+
 create_bin_tgz() {
   # build the archive that is going to be copied to the tester
 
-  wanted_binaries="$@"
+  wanted_binaries_bin="$1"
+  wanted_binaries_sbin="$2"
 
-  if [ -z "$wanted_binaries" ]; then
+  if [ -z "$wanted_binaries_bin" ] && [ -z "$wanted_binaries_sbin" ]; then
     set +x; echo "ERROR: create_bin_tgz needs a list of permitted binaries"; set -x
     exit 1
   fi
 
-  # remove binaries not intended to originate from this build
-  cd "$prefix_real"/bin
-  for f in * ; do
-    if [ -z "$(echo "_ $wanted_binaries _" | grep " $f ")" ]; then
-      rm "$f"
-    fi
-  done
-
-  # ensure requested binaries indeed exist
-  for b in $wanted_binaries ; do
-    if [ ! -f "$b" ]; then
-      set +x; echo "ERROR: no such binary: $b in $prefix_real/bin/"; set -x
-      ls -1 "$prefix_real/bin"
-      exit 1
-    fi
-  done
+  prune_files bin "$wanted_binaries_bin"
+  prune_files sbin "$wanted_binaries_sbin"
 
   cd "$prefix_real"
   this="$name.build-${BUILD_NUMBER-$(date +%Y-%m-%d_%H_%M_%S)}"
diff --git a/contrib/jenkins-build-osmo-bsc.sh b/contrib/jenkins-build-osmo-bsc.sh
index 73e71e5..4081a00 100755
--- a/contrib/jenkins-build-osmo-bsc.sh
+++ b/contrib/jenkins-build-osmo-bsc.sh
@@ -11,4 +11,4 @@
 build_repo osmo-mgw --enable-sanitize
 build_repo osmo-bsc --enable-sanitize
 
-create_bin_tgz osmo-bsc abisip-find ipaccess-config
+create_bin_tgz "osmo-bsc abisip-find ipaccess-config"
diff --git a/contrib/jenkins-build-osmo-bts.sh b/contrib/jenkins-build-osmo-bts.sh
index b40c613..e5fab5d 100755
--- a/contrib/jenkins-build-osmo-bts.sh
+++ b/contrib/jenkins-build-osmo-bts.sh
@@ -10,4 +10,4 @@
 build_repo libosmo-abis --enable-sanitize
 build_repo osmo-bts --enable-sanitize --enable-trx --with-openbsc=$base/openbsc/openbsc/include --enable-octphy --with-octsdr-2g=$base/octphy-2g-headers
 
-create_bin_tgz osmo-bts-trx osmo-bts-octphy
+create_bin_tgz "osmo-bts-trx osmo-bts-octphy"
diff --git a/contrib/jenkins-build-osmo-mgw.sh b/contrib/jenkins-build-osmo-mgw.sh
index d4ff0b9..43473c6 100755
--- a/contrib/jenkins-build-osmo-mgw.sh
+++ b/contrib/jenkins-build-osmo-mgw.sh
@@ -9,4 +9,4 @@
 build_repo libosmo-netif --enable-sanitize --disable-doxygen
 build_repo osmo-mgw --enable-sanitize
 
-create_bin_tgz osmo-bsc_mgcp osmo-mgw
+create_bin_tgz "osmo-bsc_mgcp osmo-mgw"

-- 
To view, visit https://gerrit.osmocom.org/9223
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-gsm-tester
Gerrit-Branch: master
Gerrit-MessageType: newchange
Gerrit-Change-Id: I562721af82e481e926ee65dbcd9dcc5b55057ae8
Gerrit-Change-Number: 9223
Gerrit-PatchSet: 1
Gerrit-Owner: Pau Espin Pedrol <pespin at sysmocom.de>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20180517/cafe20ff/attachment.htm>


More information about the gerrit-log mailing list